
/*---------------gallery modal---------------*/

/* The Modal (background) */
.modal{
	position: fixed;
	display:none;
	z-index: 1;
	left:0;
	top:0;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.9);
	overflow: auto;

}

/* Modal Content */
.modal-content {
  margin: auto;
  padding: 0;
  width: 90%;
  	border: 5px red solid rgb(255,255,255);
}

/* The Close Button */
.close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 200%;
 

}

.close:hover, .close:focus{
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

.gallery_slide{
	text-align: center;
	height: 100vh;
}

.img_container{
display:flex;
justify-content: center;
align-items: center;
height: 90vh;
}

.slide_number{
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;

  top: 0;
}

/* Next & previous buttons */
.prev,
.next {
	  cursor: pointer;
	  position: absolute;
	  top: 50%;
	  width: auto;
	  padding: 16px;
	  margin-top: -2em;
	  color: white;
	  
	  font-size: 130%;
	  transition: 0.6s ease;
	  


}

/* Position the "next button" to the right */
.next {
	right: 0;

}

/* On hover, add a black background color with a little bit see-through */

#caption{
	text-align: center;
	font-size: 12px;
	color: white;
}
.slide_potrait{
	pointer-events: none;
	width:35%;
}

.slide_landscape{
	pointer-events: none;
	width: 65%;

}

/*-----------------------------------------------------*/

@media only screen and (max-width: 500px){
	  /* For mobile phone: portrait */
	  
/*---------------gallery modal---------------*/

	/* The Close Button */
	.close {
	  color: white;
	  position: absolute;
	  top: 10px;
	  right: 25px;
	  font-size: 300%;
	}


	.img_container{
	display:flex;
	justify-content: center;
	align-items: center;
	height: 90vh;
	width: 100%;
	}

	.slide_landscape, .slide_potrait{
		width: 100%;
		height: auto;
	}

	/*-----------------------------------------------------*/
}


@media only screen and (max-width: 500px){
	  /* For mobile phone: portrait */

/*---------------gallery modal---------------*/

	/* The Close Button */
	.close {
	  color: white;
	  position: absolute;
	  top: 10px;
	  right: 25px;
	  font-size: 300%;
	}


	.img_container{
	display:flex;
	justify-content: center;
	align-items: center;
	height: 90vh;
	width: 100%;
	}

	.slide_landscape, .slide_potrait{
		width: 100%;
		height: auto;
	}

	/*-----------------------------------------------------*/
}


@media screen and (min-width: 550px) and (max-width: 900px) and (orientation: landscape){
	  /* For mobile phone: landscape*/
	  
	/*---------------gallery modal---------------*/

	/* The Close Button */
	.close {
	  color: white;
	  position: absolute;
	  top: 10px;
	  right: 25px;
	  font-size: 300%;
	}

	.slide_number{
	  color: #f2f2f2;
	  font-size: 12px;
	  padding: 8px 12px;
	  position: relative;
	  top: 0;
	}

	.img_container{
	display:flex;
	justify-content: center;
	align-items: center;
	height: 90vh;
	width: 100%;
	}
	
	.slide_landscape{
	pointer-events: none;
	height: auto;
	width: 70%;
	}	  
}


@media screen and (min-width: 768px) and (orientation: portrait){
	  /* For tab: portrait */
	
	.close {
	  color: white;
	  position: absolute;
	  top: 10px;
	  right: 25px;
	  font-size: 300%;
	}
	
	.slide_landscape{
		height: auto;
		width: 100%;
	}
	
	.slide_potrait{
		height: 80%;
		width: auto;
	}
}


@media screen and (min-width: 1024px) and (max-width: 1200px) and (orientation: landscape){
	  /* For Tab: landscape*/
	.slide_landscape{
	pointer-events: none;
	height: 50%;
	width: auto;
	}
	
	.slide_potrait{
	pointer-events: none;
	height: 100%;
	width: auto;
	}
}
